/*
 * resource layer
 * loads files from ZIP archives / disk transparently,
 * with multiple search paths
 *
 * Copyright (c) 2002 Jan Wassenberg
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * Contact info:
 *   Jan.Wassenberg@stud.uni-karlsruhe.de
 *   http://www.stud.uni-karlsruhe.de/~urkt/
 */

#ifndef __RES_H__
#define __RES_H__


extern int res_add_search_path(const char* path);

extern void* res_load(const char* fn, int* size);
extern void* res_malloc(const int size);
extern void res_free(void* ptr);

extern uint load_texture(const char* fn);
extern int upload_texture(const uint id, const int quality);


#endif	/* #ifndef __RES_H__ */