/*
 * CPU init / automatic OpenGL extension loading
 *
 * Copyright (c) 2002 Jan Wassenberg
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * Contact info:
 *   Jan.Wassenberg@stud.uni-karlsruhe.de
 *   http://www.stud.uni-karlsruhe.de/~urkt/
 */

#ifndef __SYSTEM_H__
#define __SYSTEM_H__


#define SYS_MAX_PATH 256
#define SYS_DIR_SEP '\\'


typedef void * (APIENTRY * PFNWGLALLOCATEMEMORYNVPROC) (GLsizei size, GLfloat readFrequency, GLfloat writeFrequency, GLfloat priority);
typedef void (APIENTRY * PFNWGLFREEMEMORYNVPROC) (void *pointer);

typedef BOOL (APIENTRY * PFNWGLSWAPINTERVALEXTPROC) (int interval);


extern PFNGLACTIVETEXTUREARBPROC glActiveTextureARB;

extern PFNGLVERTEXARRAYRANGENVPROC glVertexArrayRangeNV;
extern PFNGLFLUSHVERTEXARRAYRANGENVPROC glFlushVertexArrayRangeNV;

extern PFNGLGENFENCESNVPROC glGenFencesNV;
extern PFNGLDELETEFENCESNVPROC glDeleteFencesNV;
extern PFNGLSETFENCENVPROC glSetFenceNV;
extern PFNGLTESTFENCENVPROC glTestFenceNV;

extern PFNWGLALLOCATEMEMORYNVPROC wglAllocateMemoryNV;
extern PFNWGLFREEMEMORYNVPROC wglFreeMemoryNV;

extern PFNWGLSWAPINTERVALEXTPROC wglSwapIntervalEXT;


extern int ext_avail(const char* ext);

extern char sys_cpu_type[48];
extern float sys_cpu_freq;
extern bool sys_has_3dnow_pro;
extern int sys_init();

extern int set_video_mode(int w, int h, int bpp = 32, int fullscreen = 0, int depth_size = 24);


#endif /* #ifndef __SYSTEM_H__ */