/*
 * emulation of several POSIX calls for Win32
 *
 * Copyright (c) 2002 Jan Wassenberg
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * Contact info:
 *   Jan.Wassenberg@stud.uni-karlsruhe.de
 *   http://www.stud.uni-karlsruhe.de/~urkt/
 */

#ifndef __WPOSIX_H__
#define __WPOSIX_H__


#ifdef WIN32


#define WIN32_LEAN_AND_MEAN
#include <windows.h>


/*
 * sys/stat.h
 */

#define mkdir(path, perm) CreateDirectory(path, NULL)


/*
 * sys/mman.h
 */

#define PROT_READ	0x01	/* page can be read */
#define PROT_WRITE	0x02	/* page can be written */

#define MAP_SHARED	0x01	/* share changes */
#define MAP_PRIVATE	0x02	/* private copy on write mapping */

#define MAP_FAILED 0


extern void* mmap(void* start, uint len, int prot, int flags, int fd, long offset);
#define munmap(start, len) (UnmapViewOfFile(start)-1)	/* 0: success; -1: fail */


/*
 * dirent.h
 */

typedef void DIR;

extern DIR* opendir(const char *name);
#define closedir(dir)


#endif		/* #ifdef WIN32 */


#endif	/* #ifndef __WPOSIX_H__ */